Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6849 - "gcc -traditional" fails - header files possibly broken?
Summary: "gcc -traditional" fails - header files possibly broken?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-09 11:23 UTC by Andrew Wiseman
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 19:19:50 UTC


Attachments (Terms of Use)

Description Andrew Wiseman 1999-11-09 11:23:17 UTC
Attempting to compile using "gcc -traditional" gives errors
about header files. Compile this file for example:

#include <limits.h>

main()
{
}

If you use "gcc -traditional test.c" you get the following.
(I have tried this on two different machines now.)

In file included from /usr/lib/gcc-lib/i386-redhat-
linux/2.7.2.3/include/limits.
h:112,
                 from /usr/lib/gcc-lib/i386-redhat-
linux/2.7.2.3/include/syslimi
ts.h:7,
                 from /usr/lib/gcc-lib/i386-redhat-
linux/2.7.2.3/include/limits.
h:11,
                 from test.c:2:
/usr/include/limits.h:42: undefined or invalid # directive
/usr/include/limits.h:44: undefined or invalid # directive
/usr/include/limits.h:45: undefined or invalid # directive
/usr/include/limits.h:52: undefined or invalid # directive
/usr/include/limits.h:53: undefined or invalid # directive

Comment 1 Bill Nottingham 2000-02-05 19:19:59 UTC
Works with the egcs in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.